Skip to main content
GET
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
dynamic_rules
/
preview
/
{job_id}
cURL
curl --request GET \
  --url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/dynamic_rules/preview/{job_id}/ \
  --header 'X-Api-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "PENDING",
  "params": "<unknown>",
  "result": null,
  "error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

job_id
string<uuid>
required
organization_uuid
string<uuid>
required

Response

200 - application/json
id
string<uuid>
required
status
enum<string>
required
  • PENDING - PENDING
  • RUNNING - RUNNING
  • SUCCESS - SUCCESS
  • FAILURE - FAILURE
Available options:
PENDING,
RUNNING,
SUCCESS,
FAILURE
params
any
required
result
unknown
required
error_message
string | null
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
finished_at
string<date-time> | null
required